dep8 test systemd-fsckd fails on s390

Bug #1736955 reported by Andreas Hasenack on 2017-12-07
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
systemd (Ubuntu)
Undecided
Unassigned
Zesty
Undecided
Unassigned
Artful
Medium
Unassigned

Bug Description

The systemd-fsckd test has a constraint of isolation-machine, among others. Until recently, that actually prevented it from running on s390 because we were using containers for it.

About 3 weeks ago, apparently we started using VMs for s390 dep8 tests, so that constraint was finally satisfied and systemd-fsckd started to run. And to fail consistently, as can be see in http://autopkgtest.ubuntu.com/packages/s/systemd/artful/s390x:

Traceback (most recent call last):
  File "/tmp/autopkgtest.PrPiv9/build.iis/src/debian/tests/systemd-fsckd", line 267, in <module>
    boot_with_systemd_distro()
  File "/tmp/autopkgtest.PrPiv9/build.iis/src/debian/tests/systemd-fsckd", line 243, in boot_with_systemd_distro
    enable_plymouth()
  File "/tmp/autopkgtest.PrPiv9/build.iis/src/debian/tests/systemd-fsckd", line 224, in enable_plymouth
    plymouth_enabled = 'splash' in open('/boot/grub/grub.cfg').read()
FileNotFoundError: [Errno 2] No such file or directory: '/boot/grub/grub.cfg'

There is no grub for s390, so this test must be adjusted or skipped in that architecture.

CVE References

description: updated
Andreas Hasenack (ahasenack) wrote :

This is fixed in bionic:
systemd (235-3ubuntu2) bionic; urgency=medium

  * systemd-fsckd: Fix ADT tests to work on s390x too.

 -- Dimitri John Ledkov <email address hidden> Tue, 21 Nov 2017 16:41:15 +0000

Andreas Hasenack (ahasenack) wrote :

It's still a problem in artful, though: http://autopkgtest.ubuntu.com/packages/s/systemd/artful/s390x

See the failures between 2017-11-17 06:19:37 UTC and 2017-12-07 01:38:49 UTC

Fix in bionic is https://git.launchpad.net/~usd-import-team/ubuntu/+source/systemd/commit/?id=bc28ba569ef1ecdbc028512dd24b32907212e5cc

Changed in systemd (Ubuntu):
status: In Progress → Fix Released
assignee: Andreas Hasenack (ahasenack) → nobody
Robie Basak (racb) on 2017-12-07
tags: added: patch
Changed in systemd (Ubuntu Artful):
status: New → Triaged
importance: Undecided → Medium
Changed in systemd (Ubuntu Artful):
status: Triaged → In Progress
Changed in systemd (Ubuntu Zesty):
status: New → Won't Fix

Hello Andreas, or anyone else affected,

Accepted systemd into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/systemd/234-2ubuntu12.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in systemd (Ubuntu Artful):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-artful
Dimitri John Ledkov (xnox) wrote :

It's better, some of the unit tests for fsckd are now passing, however, not all. This is improvement. The failing tests appear to be racy.

tags: added: verification-done-artful
removed: verification-needed-artful
Dimitri John Ledkov (xnox) wrote :

timedated PASS
hostnamed PASS
localed-locale PASS
localed-x11-keymap PASS
logind PASS
unit-config PASS
storage PASS
networkd-test.py PASS
build-login PASS
boot-and-services PASS
udev PASS
root-unittests PASS
upstream PASS
logind-kill-off PASS
boot-smoke PASS
systemd-fsckd FAIL non-zero exit status 1

ERROR: test_systemd_fsck_with_plymouth_failure (__main__.FsckdTest)
ERROR: test_fsckd_run (__main__.FsckdTest)

Above is improvement over what was previously in artful. The "regression" is due to s390x switching on kvm testing.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 234-2ubuntu12.3

---------------
systemd (234-2ubuntu12.3) artful; urgency=medium

  [ Dimitri John Ledkov ]
  * Fix test-functions failing with Ubuntu units. LP: #1750608
  * tests: switch to using ext4 by default, instead of ext3. LP: #1750608
  * Fix kdump service not starting, due to systemd not loading dropins.
    Cherrypick a fix from upstream. (LP: #1708409)
  * systemd-fsckd: Fix ADT tests to work on s390x too. (LP: #1736955)
  * netwokrd: add support for RequiredForOnline stanza. (LP: #1737570)
  * resolved.service: set DefaultDependencies=no (LP: #1734167)
  * systemd.postinst: enable persistent journal. (LP: #1618188)
  * core: add support for non-writable unified cgroup hierarchy for container support.
    Rebase and de-fuzz. (LP: #1734410)
  * Prevent MemoryDenyWriteExecution policy bypass, by disallowing pkey_mprotect when mprotect is disallowed.
    CVE-2017-15908 (LP: #1725348)
  * networkd: enable promote_secondaries on networkd managed dhcp links.
    This fixes failing to renew DHCP lease, on networkd managed devices.
    (LP: #1721223)

  [ Kleber Sacilotto de Souza ]
  * systemd-rfkill service times out when a new rfkill device is added
    - rfkill-fix-erroneous-behavior-when-polling-the-udev-.patch: Comparing
    udev_device_get_sysname(device) and sysname will always return true. We need to
    check the device received from udev monitor instead.
    - rfkill-fix-typo.patch: Fix typo in rfkill log message. (LP: #1734908)

 -- Dimitri John Ledkov <email address hidden> Tue, 20 Feb 2018 16:11:58 +0000

Changed in systemd (Ubuntu Artful):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for systemd has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers